<template>
  <el-bus-crud v-bind="tableConfig"></el-bus-crud>
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/supplier/type/page',
        newUrl: 'flower/api/supplier/type/add',
        editUrl: 'flower/api/supplier/type/update',
        deleteUrl: 'flower/api/supplier/type/delete',
        deleteOnPath: true,
        deleteMethodType: 'post',
        columns: [
          { label: '供应商类型', prop: 'name' },
          { label: '类型说明', prop: 'description' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [{ label: '供应商类型', id: 'name', type: 'input' }],
          },
        ],
        form: [
          {
            label: '供应商类型：',
            id: 'name',
            type: 'input',
            rules: {
              required: true,
              message: '请输入供应商类型',
              trigger: 'blur',
            },
          },
          {
            label: '类型说明：',
            id: 'description',
            type: 'input',
            el: {
              type: 'textarea',
              rows: 6,
            },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '供应商类型管理',
    }
  },
}
</script>
